Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476074 - Multiorg2 Needs to have a confirmation for Trust Removal.
Summary: Multiorg2 Needs to have a confirmation for Trust Removal.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Ortel
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-11 19:50 UTC by Preethi Thomas
Modified: 2009-01-22 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:41:30 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2008-12-11 19:50:37 UTC
Description

As per the multiorg2 specs, there needs to be a Trust removal confirmation.

Version-Release number of selected component (if applicable):

Sapcewalk 0.4

How reproducible:
Always

Steps to Reproduce:

1. Create a new org
2. Click on the Trust
3. Add/Remove Trusts
4. Click on Modify trusts
  
Actual results:
There is no confirmation  screen,

Expected results:
https://fedorahosted.org/spacewalk/wiki/Features/MultiOrg2/TrustRelationships

Additional info:

Comment 1 Shannon Hughes 2008-12-15 17:24:20 UTC
jortel is working on this one. reassigning.

Comment 2 Jeff Ortel 2008-12-15 19:32:44 UTC
Added missing confirmation message at the top of the page navigated to after the org trust(s) is updated.  The confirmation page (Mockup #F3) is shown *only* when removing a trust relationship that will affect subscribed systems.


Note You need to log in before you can comment on or make changes to this bug.